/*
 *    AulaChat - Advanced teacher/pupil communication system
 *    Copyright (C) 2006 James Lpez Prieto (BLuEGoD).
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License along
 *    with this program; if not, write to the Free Software Foundation, Inc.,
 *    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *    
 *    Modulo: Principal
 *
 */

#include <stdio.h>
#include <syslog.h>
#include <stdlib.h>
#include "aulachat.h"

/*  -- Proceso de inicio --
 * Se inicia el servidor: 
 * - Se crea el daemon (genesis)
 * - Se lee la configuracin (config)
 * - Se inicializa el mdulo SQL con los datos de la configuracin (sqlstart)
 * - Se inicia el propio servidor (web)
 */

int main(void)
{
   char *wwwroot="./webroot"; //se podra portar a la configuracin.
   sconfig conf;
   if(genesis()) er("Error #0",NULL);//Llamada real desde aulachat.c
   config(&conf);
   sqlstart(conf.sql_host, &conf.sql_port, conf.sql_user, conf.sql_pass);
   web(&conf.port,wwwroot);
   return 0;
}
int genesis()
{
   /* Inicializacin del programa, como 'daemon' */
   
   printf("AulaChat v%s - by BLuEGoD\n",VER);
   printf("http://www.bluegod.net/aulachat\n");
   openlog("AulaChat", LOG_PID,LOG_DEBUG);
   if(DEBUG)syslog(0,"AulaChat - (Started)");
   //if(daemon(1,0)==-1)return 1;// Necesitamos directorio ./ ; retornamos 1 si error.
   //por comodidad (para utilizar puts)...
   return 0;
}



